@import "local.css";
@import "header.css";
@import "footer.css";

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    font-family: "Urbanist", sans-serif;
    transition: background-color 0.5s ease, color 0.5s ease;
}

html {
    font-size: 62.5%;
    overflow-x: hidden;
}

body {
    background: var(--main-bg-color);
    color: var(--text-color);
    overflow-y: hidden;
}

/* body::-webkit-scrollbar {
    display: none;
} */

body::-webkit-scrollbar {
    width: 1rem;
}

body::-webkit-scrollbar-thumb {
    background: var(--color-2);
    border-radius: 1rem;
}

body::-webkit-scrollbar-track {
    background: var(--color-7);
}

section {
    min-height: 100vh;
    /*padding: 10rem 9% 2rem;*/
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 9% 9%;
}

section.size25 {
    min-height: 25vh;
}

section.size50 {
    min-height: 50vh;
}

section.size75 {
    min-height: 75vh;
}

section.color-1 {
    background: var(--bg-color-1);
}

section.color-2 {
    background: var(--bg-color-2);
}

section.color-3 {
    background: var(--bg-color-3);
}

.section-content {
    z-index: 1;
    /* Place l'élément devant le contenu principal */
    width: 100%;
}

.section-text {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    gap: 2rem;
}
h1 {
    font-family: "Monopoly Inline", sans-serif;
    font-size: 30rem;
    font-weight: 500;
    color: var(--text-color);
    text-transform: uppercase;
}

h2 {
    font-family: "Monopoly Inline", sans-serif;
    font-size: 15rem;
    font-weight: 500;
    color: var(--text-color);
    text-transform: uppercase;
}

h3 {
    font-family: "Monopoly Inline", sans-serif;
    font-size: 7rem;
    font-weight: 400;
    color: var(--text-color);
    text-transform: uppercase;
}

h4 {
    font-family: "Monopoly Inline", sans-serif;
    font-size: 3.75rem;
    font-weight: 400;
    color: var(--text-color);
    text-transform: uppercase;
}

h5 {
    font-family: "Monopoly Inline", sans-serif;
    font-size: 2.5rem;
    font-weight: 400;
    color: var(--text-color);
    text-transform: uppercase;
}

p {
    font-family: "Urbanist", sans-serif;
    font-size: 2.5rem;
    font-weight: 400;
    color: var(--text-color);
}

figcaption {
    top: 0;
    font-family: "Urbanist", sans-serif;
    font-size: 1.5rem;
    font-weight: 400;
    color: var(--text-color);
}

.link {
    color: var(--second-text-color);
}

.link:hover {
    color: var(--text-color);
}

.btn {
    font-family: "Urbanist", sans-serif;
    font-size: 2.5rem;
    font-weight: 400;
    color: var(--text-color);
    background-color: transparent;
    padding: 1rem 2rem;
    border: 2px solid var(--text-color);
    /* Ajoutez cette ligne pour mettre des bords blancs */
    border-radius: 5px;
    cursor: pointer;
    display: inline-block;
    /* Ajoutez cette ligne pour que le bouton n'occupe que l'espace nécessaire */
    width: auto;
    /* Ajoutez cette ligne pour que le bouton s'adapte à son contenu */
    z-index: 1;
    /* Place l'élément devant le contenu principal */
}

.btn::before {
    content: "";
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: -1;
    background-color: var(--text-color);

    transform: scaleX(0);
    transform-origin: left;
    transition: transform 0.25s ease-in-out;
}

.btn:hover::before,
.btn:focus::before {
    transform: scaleX(1);
}

.btn:hover,
.btn:focus {
    color: var(--bg-color-1);
    transition: color 0.25s ease-in-out;
}

section.bg {
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-color: rgba(0, 0, 0, 0.5); /* ajoutez cette ligne pour définir une couleur d'arrière-plan semi-transparente */
    background-blend-mode: multiply; /* ajoutez cette ligne pour mélanger la couleur d'arrière-plan avec l'image */
}


/* CSS TRANSITIONS */

.hidden {
    opacity: 0;
    filter: blur(5px);
    transform: translateY(20vh);
    transition: opacity 1.5s ease, filter 1.5s ease, transform 1.5s ease;
}

.show {
    opacity: 1;
    filter: blur(0);
    transform: translateY(0);
}

/* BREAKPOINTS */
@media all and (max-width: 1200px) {
    html {
        font-size: 55%;
    }
}

@media all and (max-width: 991px) {
    section {
        padding: 10rem 4% 2rem;
    }

    h1 {
        font-size: 15rem;
    }

    h2 {
        font-size: 7.5rem;
    }

    h3 {
        font-size: 5rem;
    }

    h4 {
        font-size: 3.75rem;
    }

    h5 {
        font-size: 2.5rem;
    }

    p {
        font-size: 2.5rem;
    }

    .btn {
        font-size: 2.5rem;
    }

    .footer {
        padding: 2rem 4%;
    }
}

@media all and (max-width: 768px) {
    h1 {
        font-size: 10rem;
    }

    h2 {
        font-size: 6.25rem;
    }

    h3 {
        font-size: 3.75rem;
    }

    h4 {
        font-size: 3rem;
    }

    h5 {
        font-size: 2rem;
    }

    p {
        font-size: 2rem;
    }

    .btn {
        font-size: 2rem;
    }

    .hidden {
        opacity: 0;
        filter: blur(0);
        transform: translateY(5vh);
        transition: all 1.5s ease;
    }

    .show {
        opacity: 1;
        filter: blur(0);
        transform: translateY(0);
    }
    
    #champi-bg {
        background-image: url("../images/champi.webp");
    }
}

@media all and (max-width: 520px) {
    html {
        font-size: 50%;
    }

    h1 {
        font-size: 7.5rem;
    }

    h2 {
        font-size: 5rem;
    }

    h3 {
        font-size: 3.75rem;
    }

    h4 {
        font-size: 3rem;
    }

    h5 {
        font-size: 2rem;
    }

    p {
        font-size: 2rem;
    }

    .btn {
        font-size: 2rem;
    }
}